Bug 434426 - blitz failed massrebuild attempt for GCC 4.3
blitz failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: blitz (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sergio Pascual
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 11:22 EST by Jesse Keating
Modified: 2013-01-09 22:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-20 13:11:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 11:22:57 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=444770
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-03-03 20:33:01 EST
scratch build 489010
Comment 2 Jon Stanley 2008-03-03 21:01:13 EST
../blitz/funcs.h: In static member function 'static long int blitz::Fn_abs<long
int>::apply(long int)':
../blitz/funcs.h:530: error: 'labs' is not a member of 'std'
Comment 3 Sergio Pascual 2008-03-04 04:03:28 EST
I have patched blitz, but the build
http://koji.fedoraproject.org/koji/taskinfo?taskID=489857
fails for ppc, during the check stage, with 
c++: Internal error: Killed (program cc1plus)
Please submit a full bug report.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
c++: Internal error: Killed (program cc1plus)
Please submit a full bug report.
See <http://bugzilla.redhat.com/bugzilla> for instructions.

Any hint?

Note You need to log in before you can comment on or make changes to this bug.